<img src="https://cloud.githubusercontent.com/assets/6472410/11397471/fc09e098-9379-11e5-9386-a35ecae2958a.png" width="50px">

![Example](https://cloud.githubusercontent.com/assets/6472410/11398353/509dc90c-9380-11e5-906c-b268062090d3.gif)

jQuery plugin that replaces the whole page with a fullscreen image on a:hover.

## Installing

Download [the latest](https://github.com/accommodavid/swoon/archive/master.zip). Or do

```
bower install swoon
```

or, alternatively,

```
npm install swoon
```

## Usage

Make sure your page loads jQuery, `swoon.js` and `swoon.css`. Then bind Swoon with:

```javascript
Swoon.bind()
```

Swoon by default expects the following structure:
```html
<body>
  <main>
    <p>
      Some text and then
      <a class="swoon-link" data-image="a-nice-name">a link</a>
    </p>
  </main>

  <div class="hidden swoon-image" rel="a-nice-name">
    <img src="path/to/image">
  </div>
</body>
```

You can call `Swoon.bind()` from other functions as well. This unbinds all previous bindings.
If you change the configuration before you rebind, Swoon will use the new configuration.

## Options

You can configure Swoon to use a different structure, bind to different elements or hide additional elements.

```javascript
Swoon.configure({
  container:      'body',
  rootElement:    'main',
  parentElement:  '*',
  element:        'div.swoon-image',
  selector:       'a.swoon-link',
  additional:     'header, footer'
})
```

Available options:
- `container`: the element containing all links and all image divs
- `rootElement`: the topmost element to hide
- `parentElement`: a filter for which elements to hide in the parent of the link
- `element`: the elements to show
- `selector`: the elements to bind Swoon to
- `additional`: other elements on the page to hide when Swoon is triggered

## Why Swoon and also license please

Swoon was originally developed for the online portfolio of studio [HeyHeydeHaas](http://heyheydehaas.com). License: MIT
